﻿using System;
using System.Windows.Forms;

namespace TestLibrary
{
    /// <summary>
    /// 커스텀 컨트롤
    /// </summary>
    public partial class CustomControl : UserControl
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Event
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 버튼 클릭시 - ButtonClick

        /// <summary>
        /// 버튼 클릭시
        /// </summary>
        public event CustomControlEventHandler ButtonClick;

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - CustomControl()

        /// <summary>
        /// 생성자
        /// </summary>
        public CustomControl()
        {
            InitializeComponent();

            this.okButton.Click     += okButton_Click;
            this.cancelButton.Click += cancelButton_Click;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region OK 버튼 클릭시 처리하기 - okButton_Click(sender, e)

        /// <summary>
        /// OK 버튼 클릭시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void okButton_Click(object sender, EventArgs e)
        {
            CustomControlEventArgs customControlEventArgs = new CustomControlEventArgs
            (
                true,
                this.nameTextBox.Text,
                this.addressTextBox.Text,
                this.cityTextBox.Text,
                this.stateTextBox.Text,
                this.zipTextBox.Text
            );

            ButtonClick(this, customControlEventArgs);
        }

        #endregion
        #region Cancel 버튼 클릭시 처리하기 - cancelButton_Click(sender, e)

        /// <summary>
        /// Cancel 버튼 클릭시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void cancelButton_Click(object sender, EventArgs e)
        {
            CustomControlEventArgs customControlEventArgs = new CustomControlEventArgs
            (
                false,
                this.nameTextBox.Text,
                this.addressTextBox.Text,
                this.cityTextBox.Text,
                this.stateTextBox.Text,
                this.zipTextBox.Text
            );

            ButtonClick(this, customControlEventArgs);
        }

        #endregion
    }
}