﻿using System;

namespace TestLibrary
{
    /// <summary>
    /// 커스텀 컨트롤 이벤트 인자
    /// </summary>
    public class CustomControlEventArgs : EventArgs
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Field
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region Field

        /// <summary>
        /// OK 버튼 클릭 여부
        /// </summary>
        private bool okButtonClicked;

        /// <summary>
        /// 명칭
        /// </summary>
        private string name;

        /// <summary>
        /// 주소
        /// </summary>
        private string address;

        /// <summary>
        /// 도시
        /// </summary>
        private string city;

        /// <summary>
        /// 주
        /// </summary>
        private string state;

        /// <summary>
        /// 우편번호
        /// </summary>
        private string zip;

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region OK 버튼 클릭 여부 - OKButtonClicked

        /// <summary>
        /// OK 버튼 클릭 여부
        /// </summary>
        public bool OKButtonClicked
        {
            get
            {
                return this.okButtonClicked;
            }
            set
            {
                this.okButtonClicked = value;
            }
        }

        #endregion
        #region 명칭 - Name

        /// <summary>
        /// 명칭
        /// </summary>
        public string Name
        {
            get
            {
                return this.name;
            }
            set
            {
                this.name = value;
            }
        }

        #endregion
        #region 주소 - Address

        /// <summary>
        /// 주소
        /// </summary>
        public string Address
        {
            get
            {
                return this.address;
            }
            set
            {
                this.address = value;
            }
        }

        #endregion
        #region 도시 - City

        /// <summary>
        /// 도시
        /// </summary>
        public string City
        {
            get
            {
                return this.city;
            }
            set
            {
                this.city = value;
            }
        }

        #endregion
        #region 주 - State

        /// <summary>
        /// 주
        /// </summary>
        public string State
        {
            get
            {
                return this.state;
            }
            set
            {
                this.state = value;
            }
        }

        #endregion
        #region 우편번호 - Zip

        /// <summary>
        /// 우편번호
        /// </summary>
        public string Zip
        {
            get
            {
                return this.zip;
            }
            set
            {
                this.zip = value;
            }
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - CustomControlEventArgs(okButtonClicked, name, address, city, state, zip)

        /// <summary>
        /// 생성자
        /// </summary>
        /// <param name="okButtonClicked">OK 버튼 클릭 여부</param>
        /// <param name="name">명칭</param>
        /// <param name="address">주소</param>
        /// <param name="city">도시</param>
        /// <param name="state">주</param>
        /// <param name="zip">우편번호</param>
        public CustomControlEventArgs(bool okButtonClicked, string name, string address, string city, string state, string zip)
        {
            this.okButtonClicked = okButtonClicked;
            this.name            = name;
            this.address         = address;
            this.city            = city;
            this.state           = state;
            this.zip             = zip;
        }

        #endregion
    }
}